local app = import "../_templates/argocd_app.libsonnet";

[
app + {
  chart:: "ingress-nginx",
  repo:: "https://kubernetes.github.io/ingress-nginx",
  version:: "4.7.*",
  values:: |||
    defaultBackend:
      enabled: true
      image:
        registry: ghcr.io
        image: tarampampam/error-pages
        tag: 2.13.0
    controller:
      watchIngressWithoutClass: true
      custom-http-errors: "400,401,403,404,405,407,408,409,410,411,412,413,416,418,429,500,502,503,504,505"
      image:
        pullPolicy: Always
      service:
        externalTrafficPolicy: Local
      metrics:
        enabled: true
        serviceMonitor:
          enabled: true
          additionalLabels:
            release: prometheus-grafana  # same as prometheus-community chart name
  |||
}
]
